Subject: bug#58577: closed (Re: [bug#58577] [PATCH] gnu: darktable: Update to 4.0.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Oct 2022 10:27:02 +0000

Your bug report

#58577: [PATCH] gnu: darktable: Update to 4.0.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58577: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58577
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#58577] [PATCH] gnu: darktable: Update to 4.0.1.
From: Christopher Baines <[email-masked]>
To: John Kehayias <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Oct 2022 11:25:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

John Kehayias via Guix-patches via <[email-masked]> writes:

> Hi Guix,
>
> Please see the attached patch to update Darktable to the latest
> version, 4.0.1. I added a phase to patch a file to work around an
> upstream bug, tracked here:
> <https://github.com/darktable-org/darktable/issues/12604> As it is a
> very minor change I opted for a phase rather than a patch to make this
> quick and easy, and this should be resolved in the next release.

Thanks John, I've pushed this to master as
95ffc456462f440a006ca446f29f43524179a6b8.

Chris

Subject: [PATCH] gnu: darktable: Update to 4.0.1.
From: John Kehayias <[email-masked]>
To: Guix-patches <[email-masked]>
Date: Mon, 17 Oct 2022 04:11:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

Please see the attached patch to update Darktable to the latest version, 4.0.1. I added a phase to patch a file to work around an upstream bug, tracked here: <https://github.com/darktable-org/darktable/issues/12604>  As it is a very minor change I opted for a phase rather than a patch to make this quick and easy, and this should be resolved in the next release.

Thanks!
John
From c362f4cc044a6b6148b35ca33946bca374df9e54 Mon Sep 17 00:00:00 2001
From: John Kehayias <[email-masked]>
Date: Mon, 17 Oct 2022 00:07:23 -0400
Subject: [PATCH] gnu: darktable: Update to 4.0.1.

* gnu/packages/photo.scm (darktable): Update to 4.0.1.
[phases]{fix-missing-include}: New phase to work around an upstream bug of a
missing include statement.
---
 gnu/packages/photo.scm | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index 378f60793f..e819b5312d 100644
--- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -460,7 +460,7 @@ (define-public lensfun
 (define-public darktable
   (package
     (name "darktable")
-    (version "4.0.0")
+    (version "4.0.1")
     (source
      (origin
        (method url-fetch)
@@ -468,7 +468,7 @@ (define-public darktable
              "https://github.com/darktable-org/darktable/releases/"
              "download/release-" version "/darktable-" version ".tar.xz"))
        (sha256
-        (base32 "0bfcag6bj5vcmg4z4xjirs43iafcx89al6jl41i5mrhpjzszh5hl"))))
+        (base32 "0s0xwp5n4jhzdhbmsg02dlsc503jfznpwqn3rnipg687q3h83vsz"))))
     (build-system cmake-build-system)
     (arguments
      `(#:configure-flags '("-DBINARY_PACKAGE_BUILD=On"
@@ -482,6 +482,13 @@ (define-public darktable
                (("\"libOpenCL\"")
                 (string-append "\"" (assoc-ref inputs "opencl-icd-loader")
                                "/lib/libOpenCL.so\"")))))
+         (add-after 'unpack 'fix-missing-include
+           (lambda _
+             ;; Fix missing include needed to build tests.  See upstream
+             ;; issue: https://github.com/darktable-org/darktable/issues/12604
+             (substitute* "./src/common/variables.h"
+               (("once")
+                "once\n#include \"common/image.h\""))))
          (add-before 'configure 'prepare-build-environment
            (lambda* (#:key inputs #:allow-other-keys)
              ;; Rawspeed fails to build with GCC due to OpenMP error:
-- 
2.38.0